QGIS Application - Bug report #14133
2.5d symbology: spacial ordering issue
2016-01-18 10:44 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22135
Description

The spacial ordering of features require further tweaking, as the attached screenshot shows (ordering-issue.png).

I've attached the dataset used in the screenshot, shows ordering issue using the default angle (set height to the HEIGHT layer field).

History

#1 - 2016-01-20 12:39 AM - Matthias Kuhn

The problem is not trivial.

Right now the rendering order is defined by the distance from an imaginary camera being placed "extent width * 1000" from the map center in opposite view

direction.

One option would be tessellating the buildings. But that would mean to introduce a virtual layer or a preprocessing step.

Using distance( centroid ) may improve the situation in certain cases but would probably make it worse in others.

Better ideas?

#2 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

3dbuildings.zip 153 KB 2016-01-18 Mathieu Pellerin - nIRV

ordering-issue.png 508 KB 2016-01-18 Mathieu Pellerin - nIRV
